Loading...
Searching...
No Matches
align_config_on_result.hpp File Reference

Provides seqan3::align_cfg::on_result. More...

`#include <type_traits>`
`#include <seqan3/alignment/configuration/detail.hpp>`
`#include <seqan3/contrib/std/detail/movable_box.hpp>`
`#include <seqan3/core/configuration/pipeable_config_element.hpp>`
Include dependency graph for align_config_on_result.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::align_cfg::on_result< callback_t >
| Configuration element to provide a user defined callback function for the alignment. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::align_cfg
| A special sub namespace for the alignment configurations.

## Functions

Type deduction guides
template<std::move_constructible callback_t>
| seqan3::align_cfg::on_result (callback_t &&) -> on_result< std::decay_t< callback_t > >
| Deduces the callback type from a forwarding constructor argument.

## Detailed Description

Provides seqan3::align_cfg::on_result.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me